Skip to main content
POST
/
accounts
/
{account_id}
/
withdrawals
Create a withdrawal
curl --request POST \
  --url https://api.engine.usesophic.com/accounts/{account_id}/withdrawals \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "amount": "100.00",
  "currency": "EUR",
  "funding_account": "<string>"
}
'
{
  "id": "<string>",
  "account": "<string>",
  "amount": "<string>",
  "currency": "EUR",
  "status": "created",
  "funding_account": {
    "id": "<string>",
    "owner_name": "<string>",
    "iban": "<string>",
    "bank_code": "<string>",
    "currency": "EUR",
    "created_at": "2023-11-07T05:31:56Z",
    "modified_at": "2023-11-07T05:31:56Z",
    "nickname": "<string>",
    "is_verified": false
  },
  "created_at": "2023-11-07T05:31:56Z",
  "modified_at": "2023-11-07T05:31:56Z",
  "completed_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

account_id
string
required

Body

application/json
amount
required

The amount to withdraw, as a decimal number with two decimal places.

Required range: x > 0
Example:

"100.00"

currency
enum<string>
required

The currency to withdraw in, which needs to be a supported currency on the account. Note that the platform does not support currency conversions at this time.

Available options:
EUR,
USD,
GBP
funding_account
string
required

The funding account that will receive the funds. Note that we only allow withdrawals to funding accounts that are registered on the parent account.

Response

Created

id
string
required

Unique resource identifier.

account
string
required

The ID of the parent account.

amount
string
required

The amount to withdraw. Note that an insufficient_funds error will be raised if the account does not have enough settled funds.

Examples:

"100.00"

"50.12"

currency
enum<string>
required

The currency to withdraw.

Available options:
EUR,
USD,
GBP
status
enum<string>
required

The status of the withdrawal.

Available options:
created,
completed
funding_account
FundingAccount · object
required

The funding account that will receive the funds.

created_at
string<date-time>
required

The timestamp (in ISO-8601 format) of when the resource was created.

modified_at
string<date-time>
required

The timestamp (in ISO-8601 format) of when the resource was last modified.

completed_at
string<date-time> | null

The timestamp (in ISO-8601 format) of when the withdrawal was completed i.e funds were moved out of the account's cash balance.